# GstWebRTC Enumerations

## GstWebRTCICECandidateStats

### Members

`ipaddr` (gchar *) –
No description available
`port` (guint) –
No description available
`stream_id` (guint) –
No description available
`type` (const gchar *) –
No description available
`proto` (const gchar *) –
No description available
`relay_proto` (const gchar *) –
No description available
`prio` (guint) –
No description available
`url` (gchar *) –
No description available
`_gst_reserved` (gpointer *) –
No description available

Since : 1.22

## GstWebRTC.WebRTCICECandidateStats

### Members

`ipaddr` (String) –
No description available
`port` (Number) –
No description available
`stream_id` (Number) –
No description available
`type` (String) –
No description available
`proto` (String) –
No description available
`relay_proto` (String) –
No description available
`prio` (Number) –
No description available
`url` (String) –
No description available
`_gst_reserved` ([ Object ]) –
No description available

Since : 1.22

## GstWebRTC.WebRTCICECandidateStats

### Members

`ipaddr` (str) –
No description available
`port` (int) –
No description available
`stream_id` (int) –
No description available
`type` (str) –
No description available
`proto` (str) –
No description available
`relay_proto` (str) –
No description available
`prio` (int) –
No description available
`url` (str) –
No description available
`_gst_reserved` ([ object ]) –
No description available

Since : 1.22

### Methods

#### gst_webrtc_ice_candidate_stats_copy

    GstWebRTCICECandidateStats *
    gst_webrtc_ice_candidate_stats_copy (GstWebRTCICECandidateStats * stats)

Parameters:

`stats` –

The GstWebRTCICE

Returns ( [transfer: full]) –

A copy of stats

Since : 1.22

#### GstWebRTC.WebRTCICECandidateStats.prototype.copy

    function GstWebRTC.WebRTCICECandidateStats.prototype.copy(): {
        // javascript wrapper for 'gst_webrtc_ice_candidate_stats_copy'
    }

Parameters:

`stats` (GstWebRTC.WebRTCICECandidateStats) –

The GstWebRTC.WebRTCICE

Returns (GstWebRTC.WebRTCICECandidateStats) –

A copy of stats

Since : 1.22

#### GstWebRTC.WebRTCICECandidateStats.copy

    def GstWebRTC.WebRTCICECandidateStats.copy (self):
        #python wrapper for 'gst_webrtc_ice_candidate_stats_copy'

Parameters:

`stats` (GstWebRTC.WebRTCICECandidateStats) –

The GstWebRTC.WebRTCICE

Returns (GstWebRTC.WebRTCICECandidateStats) –

A copy of stats

Since : 1.22

#### gst_webrtc_ice_candidate_stats_free

    gst_webrtc_ice_candidate_stats_free (GstWebRTCICECandidateStats * stats)

Helper function to free GstWebRTCICECandidateStats

Parameters:

`stats` –

The GstWebRTCICECandidateStats to be free'd

Since : 1.22

#### GstWebRTC.WebRTCICECandidateStats.prototype.free

    function GstWebRTC.WebRTCICECandidateStats.prototype.free(): {
        // javascript wrapper for 'gst_webrtc_ice_candidate_stats_free'
    }

Helper function to free GstWebRTC.WebRTCICECandidateStats

Parameters:

`stats` (GstWebRTC.WebRTCICECandidateStats) –

The GstWebRTC.WebRTCICECandidateStats to be free'd

Since : 1.22

#### GstWebRTC.WebRTCICECandidateStats.free

    def GstWebRTC.WebRTCICECandidateStats.free (self):
        #python wrapper for 'gst_webrtc_ice_candidate_stats_free'

Helper function to free GstWebRTC.WebRTCICECandidateStats

Parameters:

`stats` (GstWebRTC.WebRTCICECandidateStats) –

The GstWebRTC.WebRTCICECandidateStats to be free'd

Since : 1.22

## GstWebRTCSCTPTransport

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstWebRTCSCTPTransport

### Class structure

#### GstWebRTCSCTPTransportClass

### GstWebRTC.WebRTCSCTPTransportClass

## GstWebRTC.WebRTCSCTPTransport

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstWebRTC.WebRTCSCTPTransport

## GstWebRTC.WebRTCSCTPTransport

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstWebRTC.WebRTCSCTPTransport

### Properties

#### max-channels

    “max-channels” guint

Flags : Read

#### max-channels

    “max-channels” Number

Flags : Read

#### max_channels

    “self.props.max_channels” int

Flags : Read

#### max-message-size

    “max-message-size” guint64

Flags : Read

#### max-message-size

    “max-message-size” Number

Flags : Read

#### max_message_size

    “self.props.max_message_size” int

Flags : Read

#### state

    “state” GstWebRTCSCTPTransportState *

Flags : Read

#### state

    “state” GstWebRTC.WebRTCSCTPTransportState

Flags : Read

#### state

    “self.props.state” GstWebRTC.WebRTCSCTPTransportState

Flags : Read

#### transport

    “transport” GstWebRTCDTLSTransport *

Flags : Read

#### transport

    “transport” GstWebRTC.WebRTCDTLSTransport

Flags : Read

#### transport

    “self.props.transport” GstWebRTC.WebRTCDTLSTransport

Flags : Read

## Enumerations

### GstWebRTCBundlePolicy

See https://tools.ietf.org/html/draft-ietf-rtcweb-jsep-24#section-4.1.1 for more information.

##### Members

`GST_WEBRTC_BUNDLE_POLICY_NONE` (0) –

none

`GST_WEBRTC_BUNDLE_POLICY_BALANCED` (1) –

balanced

`GST_WEBRTC_BUNDLE_POLICY_MAX_COMPAT` (2) –

max-compat

`GST_WEBRTC_BUNDLE_POLICY_MAX_BUNDLE` (3) –

max-bundle

Since : 1.16

### GstWebRTC.WebRTCBundlePolicy

See https://tools.ietf.org/html/draft-ietf-rtcweb-jsep-24#section-4.1.1 for more information.

##### Members

`GstWebRTC.WebRTCBundlePolicy.NONE` (0) –

none

`GstWebRTC.WebRTCBundlePolicy.BALANCED` (1) –

balanced

`GstWebRTC.WebRTCBundlePolicy.MAX_COMPAT` (2) –

max-compat

`GstWebRTC.WebRTCBundlePolicy.MAX_BUNDLE` (3) –

max-bundle

Since : 1.16

### GstWebRTC.WebRTCBundlePolicy

See https://tools.ietf.org/html/draft-ietf-rtcweb-jsep-24#section-4.1.1 for more information.

##### Members

`GstWebRTC.WebRTCBundlePolicy.NONE` (0) –

none

`GstWebRTC.WebRTCBundlePolicy.BALANCED` (1) –

balanced

`GstWebRTC.WebRTCBundlePolicy.MAX_COMPAT` (2) –

max-compat

`GstWebRTC.WebRTCBundlePolicy.MAX_BUNDLE` (3) –

max-bundle

Since : 1.16

### GstWebRTCDTLSSetup

##### Members

`GST_WEBRTC_DTLS_SETUP_NONE` (0) –

none

`GST_WEBRTC_DTLS_SETUP_ACTPASS` (1) –

actpass

`GST_WEBRTC_DTLS_SETUP_ACTIVE` (2) –

sendonly

`GST_WEBRTC_DTLS_SETUP_PASSIVE` (3) –

recvonly

### GstWebRTC.WebRTCDTLSSetup

##### Members

`GstWebRTC.WebRTCDTLSSetup.NONE` (0) –

none

`GstWebRTC.WebRTCDTLSSetup.ACTPASS` (1) –

actpass

`GstWebRTC.WebRTCDTLSSetup.ACTIVE` (2) –

sendonly

`GstWebRTC.WebRTCDTLSSetup.PASSIVE` (3) –

recvonly

### GstWebRTC.WebRTCDTLSSetup

##### Members

`GstWebRTC.WebRTCDTLSSetup.NONE` (0) –

none

`GstWebRTC.WebRTCDTLSSetup.ACTPASS` (1) –

actpass

`GstWebRTC.WebRTCDTLSSetup.ACTIVE` (2) –

sendonly

`GstWebRTC.WebRTCDTLSSetup.PASSIVE` (3) –

recvonly

### GstWebRTCDTLSTransportState

##### Members

`GST_WEBRTC_DTLS_TRANSPORT_STATE_NEW` (0) –

new

`GST_WEBRTC_DTLS_TRANSPORT_STATE_CLOSED` (1) –

closed

`GST_WEBRTC_DTLS_TRANSPORT_STATE_FAILED` (2) –

failed

`GST_WEBRTC_DTLS_TRANSPORT_STATE_CONNECTING` (3) –

connecting

`GST_WEBRTC_DTLS_TRANSPORT_STATE_CONNECTED` (4) –

connected

### GstWebRTC.WebRTCDTLSTransportState

##### Members

`GstWebRTC.WebRTCDTLSTransportState.NEW` (0) –

new

`GstWebRTC.WebRTCDTLSTransportState.CLOSED` (1) –

closed

`GstWebRTC.WebRTCDTLSTransportState.FAILED` (2) –

failed

`GstWebRTC.WebRTCDTLSTransportState.CONNECTING` (3) –

connecting

`GstWebRTC.WebRTCDTLSTransportState.CONNECTED` (4) –

connected

### GstWebRTC.WebRTCDTLSTransportState

##### Members

`GstWebRTC.WebRTCDTLSTransportState.NEW` (0) –

new

`GstWebRTC.WebRTCDTLSTransportState.CLOSED` (1) –

closed

`GstWebRTC.WebRTCDTLSTransportState.FAILED` (2) –

failed

`GstWebRTC.WebRTCDTLSTransportState.CONNECTING` (3) –

connecting

`GstWebRTC.WebRTCDTLSTransportState.CONNECTED` (4) –

connected

### GstWebRTCDataChannelState

See http://w3c.github.io/webrtc-pc/#dom-rtcdatachannelstate

##### Members

`GST_WEBRTC_DATA_CHANNEL_STATE_CONNECTING` (1) –

connecting

`GST_WEBRTC_DATA_CHANNEL_STATE_OPEN` (2) –

open

`GST_WEBRTC_DATA_CHANNEL_STATE_CLOSING` (3) –

closing

`GST_WEBRTC_DATA_CHANNEL_STATE_CLOSED` (4) –

closed

Since : 1.16

### GstWebRTC.WebRTCDataChannelState

See http://w3c.github.io/webrtc-pc/#dom-rtcdatachannelstate

##### Members

`GstWebRTC.WebRTCDataChannelState.CONNECTING` (1) –

connecting

`GstWebRTC.WebRTCDataChannelState.OPEN` (2) –

open

`GstWebRTC.WebRTCDataChannelState.CLOSING` (3) –

closing

`GstWebRTC.WebRTCDataChannelState.CLOSED` (4) –

closed

Since : 1.16

### GstWebRTC.WebRTCDataChannelState

See http://w3c.github.io/webrtc-pc/#dom-rtcdatachannelstate

##### Members

`GstWebRTC.WebRTCDataChannelState.CONNECTING` (1) –

connecting

`GstWebRTC.WebRTCDataChannelState.OPEN` (2) –

open

`GstWebRTC.WebRTCDataChannelState.CLOSING` (3) –

closing

`GstWebRTC.WebRTCDataChannelState.CLOSED` (4) –

closed

Since : 1.16

### GstWebRTCError

See https://www.w3.org/TR/webrtc/#dom-rtcerrordetailtype for more information.

##### Members

`GST_WEBRTC_ERROR_DATA_CHANNEL_FAILURE` (0) –

data-channel-failure

`GST_WEBRTC_ERROR_DTLS_FAILURE` (1) –

dtls-failure

`GST_WEBRTC_ERROR_FINGERPRINT_FAILURE` (2) –

fingerprint-failure

`GST_WEBRTC_ERROR_SCTP_FAILURE` (3) –

sctp-failure

`GST_WEBRTC_ERROR_SDP_SYNTAX_ERROR` (4) –

sdp-syntax-error

`GST_WEBRTC_ERROR_HARDWARE_ENCODER_NOT_AVAILABLE` (5) –

hardware-encoder-not-available

`GST_WEBRTC_ERROR_ENCODER_ERROR` (6) –

encoder-error

`GST_WEBRTC_ERROR_INVALID_STATE` (7) –

invalid-state (part of WebIDL specification)

`GST_WEBRTC_ERROR_INTERNAL_FAILURE` (8) –

GStreamer-specific failure, not matching any other value from the specification

`GST_WEBRTC_ERROR_INVALID_MODIFICATION` (9) –

invalid-modification (part of WebIDL specification)

(Since: 1.22)
`GST_WEBRTC_ERROR_TYPE_ERROR` (10) –

type-error (maps to JavaScript TypeError)

(Since: 1.22)

Since : 1.20

### GstWebRTC.WebRTCError

See https://www.w3.org/TR/webrtc/#dom-rtcerrordetailtype for more information.

##### Members

`GstWebRTC.WebRTCError.DATA_CHANNEL_FAILURE` (0) –

data-channel-failure

`GstWebRTC.WebRTCError.DTLS_FAILURE` (1) –

dtls-failure

`GstWebRTC.WebRTCError.FINGERPRINT_FAILURE` (2) –

fingerprint-failure

`GstWebRTC.WebRTCError.SCTP_FAILURE` (3) –

sctp-failure

`GstWebRTC.WebRTCError.SDP_SYNTAX_ERROR` (4) –

sdp-syntax-error

`GstWebRTC.WebRTCError.HARDWARE_ENCODER_NOT_AVAILABLE` (5) –

hardware-encoder-not-available

`GstWebRTC.WebRTCError.ENCODER_ERROR` (6) –

encoder-error

`GstWebRTC.WebRTCError.INVALID_STATE` (7) –

invalid-state (part of WebIDL specification)

`GstWebRTC.WebRTCError.INTERNAL_FAILURE` (8) –

GStreamer-specific failure, not matching any other value from the specification

`GstWebRTC.WebRTCError.INVALID_MODIFICATION` (9) –

invalid-modification (part of WebIDL specification)

(Since: 1.22)
`GstWebRTC.WebRTCError.TYPE_ERROR` (10) –

type-error (maps to JavaScript TypeError)

(Since: 1.22)

Since : 1.20

### GstWebRTC.WebRTCError

See https://www.w3.org/TR/webrtc/#dom-rtcerrordetailtype for more information.

##### Members

`GstWebRTC.WebRTCError.DATA_CHANNEL_FAILURE` (0) –

data-channel-failure

`GstWebRTC.WebRTCError.DTLS_FAILURE` (1) –

dtls-failure

`GstWebRTC.WebRTCError.FINGERPRINT_FAILURE` (2) –

fingerprint-failure

`GstWebRTC.WebRTCError.SCTP_FAILURE` (3) –

sctp-failure

`GstWebRTC.WebRTCError.SDP_SYNTAX_ERROR` (4) –

sdp-syntax-error

`GstWebRTC.WebRTCError.HARDWARE_ENCODER_NOT_AVAILABLE` (5) –

hardware-encoder-not-available

`GstWebRTC.WebRTCError.ENCODER_ERROR` (6) –

encoder-error

`GstWebRTC.WebRTCError.INVALID_STATE` (7) –

invalid-state (part of WebIDL specification)

`GstWebRTC.WebRTCError.INTERNAL_FAILURE` (8) –

GStreamer-specific failure, not matching any other value from the specification

`GstWebRTC.WebRTCError.INVALID_MODIFICATION` (9) –

invalid-modification (part of WebIDL specification)

(Since: 1.22)
`GstWebRTC.WebRTCError.TYPE_ERROR` (10) –

type-error (maps to JavaScript TypeError)

(Since: 1.22)

Since : 1.20

### GstWebRTCFECType

##### Members

`GST_WEBRTC_FEC_TYPE_NONE` (0) –

none

`GST_WEBRTC_FEC_TYPE_ULP_RED` (1) –

ulpfec + red

Since : 1.14.1

### GstWebRTC.WebRTCFECType

##### Members

`GstWebRTC.WebRTCFECType.NONE` (0) –

none

`GstWebRTC.WebRTCFECType.ULP_RED` (1) –

ulpfec + red

Since : 1.14.1

### GstWebRTC.WebRTCFECType

##### Members

`GstWebRTC.WebRTCFECType.NONE` (0) –

none

`GstWebRTC.WebRTCFECType.ULP_RED` (1) –

ulpfec + red

Since : 1.14.1

### GstWebRTCICEComponent

##### Members

`GST_WEBRTC_ICE_COMPONENT_RTP` (0) –

RTP component

`GST_WEBRTC_ICE_COMPONENT_RTCP` (1) –

RTCP component

### GstWebRTC.WebRTCICEComponent

##### Members

`GstWebRTC.WebRTCICEComponent.RTP` (0) –

RTP component

`GstWebRTC.WebRTCICEComponent.RTCP` (1) –

RTCP component

### GstWebRTC.WebRTCICEComponent

##### Members

`GstWebRTC.WebRTCICEComponent.RTP` (0) –

RTP component

`GstWebRTC.WebRTCICEComponent.RTCP` (1) –

RTCP component

### GstWebRTCICEConnectionState

See http://w3c.github.io/webrtc-pc/#dom-rtciceconnectionstate

##### Members

`GST_WEBRTC_ICE_CONNECTION_STATE_NEW` (0) –

new

`GST_WEBRTC_ICE_CONNECTION_STATE_CHECKING` (1) –

checking

`GST_WEBRTC_ICE_CONNECTION_STATE_CONNECTED` (2) –

connected

`GST_WEBRTC_ICE_CONNECTION_STATE_COMPLETED` (3) –

completed

`GST_WEBRTC_ICE_CONNECTION_STATE_FAILED` (4) –

failed

`GST_WEBRTC_ICE_CONNECTION_STATE_DISCONNECTED` (5) –

disconnected

`GST_WEBRTC_ICE_CONNECTION_STATE_CLOSED` (6) –

closed

### GstWebRTC.WebRTCICEConnectionState

See http://w3c.github.io/webrtc-pc/#dom-rtciceconnectionstate

##### Members

`GstWebRTC.WebRTCICEConnectionState.NEW` (0) –

new

`GstWebRTC.WebRTCICEConnectionState.CHECKING` (1) –

checking

`GstWebRTC.WebRTCICEConnectionState.CONNECTED` (2) –

connected

`GstWebRTC.WebRTCICEConnectionState.COMPLETED` (3) –

completed

`GstWebRTC.WebRTCICEConnectionState.FAILED` (4) –

failed

`GstWebRTC.WebRTCICEConnectionState.DISCONNECTED` (5) –

disconnected

`GstWebRTC.WebRTCICEConnectionState.CLOSED` (6) –

closed

### GstWebRTC.WebRTCICEConnectionState

See http://w3c.github.io/webrtc-pc/#dom-rtciceconnectionstate

##### Members

`GstWebRTC.WebRTCICEConnectionState.NEW` (0) –

new

`GstWebRTC.WebRTCICEConnectionState.CHECKING` (1) –

checking

`GstWebRTC.WebRTCICEConnectionState.CONNECTED` (2) –

connected

`GstWebRTC.WebRTCICEConnectionState.COMPLETED` (3) –

completed

`GstWebRTC.WebRTCICEConnectionState.FAILED` (4) –

failed

`GstWebRTC.WebRTCICEConnectionState.DISCONNECTED` (5) –

disconnected

`GstWebRTC.WebRTCICEConnectionState.CLOSED` (6) –

closed

### GstWebRTCICEGatheringState

See http://w3c.github.io/webrtc-pc/#dom-rtcicegatheringstate

##### Members

`GST_WEBRTC_ICE_GATHERING_STATE_NEW` (0) –

new

`GST_WEBRTC_ICE_GATHERING_STATE_GATHERING` (1) –

gathering

`GST_WEBRTC_ICE_GATHERING_STATE_COMPLETE` (2) –

complete

### GstWebRTC.WebRTCICEGatheringState

See http://w3c.github.io/webrtc-pc/#dom-rtcicegatheringstate

##### Members

`GstWebRTC.WebRTCICEGatheringState.NEW` (0) –

new

`GstWebRTC.WebRTCICEGatheringState.GATHERING` (1) –

gathering

`GstWebRTC.WebRTCICEGatheringState.COMPLETE` (2) –

complete

### GstWebRTC.WebRTCICEGatheringState

See http://w3c.github.io/webrtc-pc/#dom-rtcicegatheringstate

##### Members

`GstWebRTC.WebRTCICEGatheringState.NEW` (0) –

new

`GstWebRTC.WebRTCICEGatheringState.GATHERING` (1) –

gathering

`GstWebRTC.WebRTCICEGatheringState.COMPLETE` (2) –

complete

### GstWebRTCICERole

##### Members

`GST_WEBRTC_ICE_ROLE_CONTROLLED` (0) –

controlled

`GST_WEBRTC_ICE_ROLE_CONTROLLING` (1) –

controlling

### GstWebRTC.WebRTCICERole

##### Members

`GstWebRTC.WebRTCICERole.CONTROLLED` (0) –

controlled

`GstWebRTC.WebRTCICERole.CONTROLLING` (1) –

controlling

### GstWebRTC.WebRTCICERole

##### Members

`GstWebRTC.WebRTCICERole.CONTROLLED` (0) –

controlled

`GstWebRTC.WebRTCICERole.CONTROLLING` (1) –

controlling

### GstWebRTCICETransportPolicy

See https://tools.ietf.org/html/draft-ietf-rtcweb-jsep-24#section-4.1.1 for more information.

##### Members

`GST_WEBRTC_ICE_TRANSPORT_POLICY_ALL` (0) –

all

`GST_WEBRTC_ICE_TRANSPORT_POLICY_RELAY` (1) –

relay

Since : 1.16

### GstWebRTC.WebRTCICETransportPolicy

See https://tools.ietf.org/html/draft-ietf-rtcweb-jsep-24#section-4.1.1 for more information.

##### Members

`GstWebRTC.WebRTCICETransportPolicy.ALL` (0) –

all

`GstWebRTC.WebRTCICETransportPolicy.RELAY` (1) –

relay

Since : 1.16

### GstWebRTC.WebRTCICETransportPolicy

See https://tools.ietf.org/html/draft-ietf-rtcweb-jsep-24#section-4.1.1 for more information.

##### Members

`GstWebRTC.WebRTCICETransportPolicy.ALL` (0) –

all

`GstWebRTC.WebRTCICETransportPolicy.RELAY` (1) –

relay

Since : 1.16

### GstWebRTCKind

https://w3c.github.io/mediacapture-main/#dom-mediastreamtrack-kind

##### Members

`GST_WEBRTC_KIND_UNKNOWN` (0) –

Kind has not yet been set

`GST_WEBRTC_KIND_AUDIO` (1) –

Kind is audio

`GST_WEBRTC_KIND_VIDEO` (2) –

Kind is video

Since : 1.20

### GstWebRTC.WebRTCKind

https://w3c.github.io/mediacapture-main/#dom-mediastreamtrack-kind

##### Members

`GstWebRTC.WebRTCKind.UNKNOWN` (0) –

Kind has not yet been set

`GstWebRTC.WebRTCKind.AUDIO` (1) –

Kind is audio

`GstWebRTC.WebRTCKind.VIDEO` (2) –

Kind is video

Since : 1.20

### GstWebRTC.WebRTCKind

https://w3c.github.io/mediacapture-main/#dom-mediastreamtrack-kind

##### Members

`GstWebRTC.WebRTCKind.UNKNOWN` (0) –

Kind has not yet been set

`GstWebRTC.WebRTCKind.AUDIO` (1) –

Kind is audio

`GstWebRTC.WebRTCKind.VIDEO` (2) –

Kind is video

Since : 1.20

### GstWebRTCPeerConnectionState

See http://w3c.github.io/webrtc-pc/#dom-rtcpeerconnectionstate

##### Members

`GST_WEBRTC_PEER_CONNECTION_STATE_NEW` (0) –

new

`GST_WEBRTC_PEER_CONNECTION_STATE_CONNECTING` (1) –

connecting

`GST_WEBRTC_PEER_CONNECTION_STATE_CONNECTED` (2) –

connected

`GST_WEBRTC_PEER_CONNECTION_STATE_DISCONNECTED` (3) –

disconnected

`GST_WEBRTC_PEER_CONNECTION_STATE_FAILED` (4) –

failed

`GST_WEBRTC_PEER_CONNECTION_STATE_CLOSED` (5) –

closed

### GstWebRTC.WebRTCPeerConnectionState

See http://w3c.github.io/webrtc-pc/#dom-rtcpeerconnectionstate

##### Members

`GstWebRTC.WebRTCPeerConnectionState.NEW` (0) –

new

`GstWebRTC.WebRTCPeerConnectionState.CONNECTING` (1) –

connecting

`GstWebRTC.WebRTCPeerConnectionState.CONNECTED` (2) –

connected

`GstWebRTC.WebRTCPeerConnectionState.DISCONNECTED` (3) –

disconnected

`GstWebRTC.WebRTCPeerConnectionState.FAILED` (4) –

failed

`GstWebRTC.WebRTCPeerConnectionState.CLOSED` (5) –

closed

### GstWebRTC.WebRTCPeerConnectionState

See http://w3c.github.io/webrtc-pc/#dom-rtcpeerconnectionstate

##### Members

`GstWebRTC.WebRTCPeerConnectionState.NEW` (0) –

new

`GstWebRTC.WebRTCPeerConnectionState.CONNECTING` (1) –

connecting

`GstWebRTC.WebRTCPeerConnectionState.CONNECTED` (2) –

connected

`GstWebRTC.WebRTCPeerConnectionState.DISCONNECTED` (3) –

disconnected

`GstWebRTC.WebRTCPeerConnectionState.FAILED` (4) –

failed

`GstWebRTC.WebRTCPeerConnectionState.CLOSED` (5) –

closed

### GstWebRTCPriorityType

See http://w3c.github.io/webrtc-pc/#dom-rtcprioritytype

##### Members

`GST_WEBRTC_PRIORITY_TYPE_VERY_LOW` (1) –

very-low

`GST_WEBRTC_PRIORITY_TYPE_LOW` (2) –

low

`GST_WEBRTC_PRIORITY_TYPE_MEDIUM` (3) –

medium

`GST_WEBRTC_PRIORITY_TYPE_HIGH` (4) –

high

Since : 1.16

### GstWebRTC.WebRTCPriorityType

See http://w3c.github.io/webrtc-pc/#dom-rtcprioritytype

##### Members

`GstWebRTC.WebRTCPriorityType.VERY_LOW` (1) –

very-low

`GstWebRTC.WebRTCPriorityType.LOW` (2) –

low

`GstWebRTC.WebRTCPriorityType.MEDIUM` (3) –

medium

`GstWebRTC.WebRTCPriorityType.HIGH` (4) –

high

Since : 1.16

### GstWebRTC.WebRTCPriorityType

See http://w3c.github.io/webrtc-pc/#dom-rtcprioritytype

##### Members

`GstWebRTC.WebRTCPriorityType.VERY_LOW` (1) –

very-low

`GstWebRTC.WebRTCPriorityType.LOW` (2) –

low

`GstWebRTC.WebRTCPriorityType.MEDIUM` (3) –

medium

`GstWebRTC.WebRTCPriorityType.HIGH` (4) –

high

Since : 1.16

### GstWebRTCRTPTransceiverDirection

##### Members

`GST_WEBRTC_RTP_TRANSCEIVER_DIRECTION_NONE` (0) –

none

`GST_WEBRTC_RTP_TRANSCEIVER_DIRECTION_INACTIVE` (1) –

inactive

`GST_WEBRTC_RTP_TRANSCEIVER_DIRECTION_SENDONLY` (2) –

sendonly

`GST_WEBRTC_RTP_TRANSCEIVER_DIRECTION_RECVONLY` (3) –

recvonly

`GST_WEBRTC_RTP_TRANSCEIVER_DIRECTION_SENDRECV` (4) –

sendrecv

### GstWebRTC.WebRTCRTPTransceiverDirection

##### Members

`GstWebRTC.WebRTCRTPTransceiverDirection.NONE` (0) –

none

`GstWebRTC.WebRTCRTPTransceiverDirection.INACTIVE` (1) –

inactive

`GstWebRTC.WebRTCRTPTransceiverDirection.SENDONLY` (2) –

sendonly

`GstWebRTC.WebRTCRTPTransceiverDirection.RECVONLY` (3) –

recvonly

`GstWebRTC.WebRTCRTPTransceiverDirection.SENDRECV` (4) –

sendrecv

### GstWebRTC.WebRTCRTPTransceiverDirection

##### Members

`GstWebRTC.WebRTCRTPTransceiverDirection.NONE` (0) –

none

`GstWebRTC.WebRTCRTPTransceiverDirection.INACTIVE` (1) –

inactive

`GstWebRTC.WebRTCRTPTransceiverDirection.SENDONLY` (2) –

sendonly

`GstWebRTC.WebRTCRTPTransceiverDirection.RECVONLY` (3) –

recvonly

`GstWebRTC.WebRTCRTPTransceiverDirection.SENDRECV` (4) –

sendrecv

### GstWebRTCSCTPTransportState

See http://w3c.github.io/webrtc-pc/#dom-rtcsctptransportstate

##### Members

`GST_WEBRTC_SCTP_TRANSPORT_STATE_NEW` (0) –

new

`GST_WEBRTC_SCTP_TRANSPORT_STATE_CONNECTING` (1) –

connecting

`GST_WEBRTC_SCTP_TRANSPORT_STATE_CONNECTED` (2) –

connected

`GST_WEBRTC_SCTP_TRANSPORT_STATE_CLOSED` (3) –

closed

Since : 1.16

### GstWebRTC.WebRTCSCTPTransportState

See http://w3c.github.io/webrtc-pc/#dom-rtcsctptransportstate

##### Members

`GstWebRTC.WebRTCSCTPTransportState.NEW` (0) –

new

`GstWebRTC.WebRTCSCTPTransportState.CONNECTING` (1) –

connecting

`GstWebRTC.WebRTCSCTPTransportState.CONNECTED` (2) –

connected

`GstWebRTC.WebRTCSCTPTransportState.CLOSED` (3) –

closed

Since : 1.16

### GstWebRTC.WebRTCSCTPTransportState

See http://w3c.github.io/webrtc-pc/#dom-rtcsctptransportstate

##### Members

`GstWebRTC.WebRTCSCTPTransportState.NEW` (0) –

new

`GstWebRTC.WebRTCSCTPTransportState.CONNECTING` (1) –

connecting

`GstWebRTC.WebRTCSCTPTransportState.CONNECTED` (2) –

connected

`GstWebRTC.WebRTCSCTPTransportState.CLOSED` (3) –

closed

Since : 1.16

### GstWebRTCSDPType

See http://w3c.github.io/webrtc-pc/#rtcsdptype

##### Members

`GST_WEBRTC_SDP_TYPE_OFFER` (1) –

offer

`GST_WEBRTC_SDP_TYPE_PRANSWER` (2) –

pranswer

`GST_WEBRTC_SDP_TYPE_ANSWER` (3) –

answer

`GST_WEBRTC_SDP_TYPE_ROLLBACK` (4) –

rollback

### GstWebRTC.WebRTCSDPType

See http://w3c.github.io/webrtc-pc/#rtcsdptype

##### Members

`GstWebRTC.WebRTCSDPType.OFFER` (1) –

offer

`GstWebRTC.WebRTCSDPType.PRANSWER` (2) –

pranswer

`GstWebRTC.WebRTCSDPType.ANSWER` (3) –

answer

`GstWebRTC.WebRTCSDPType.ROLLBACK` (4) –

rollback

### GstWebRTC.WebRTCSDPType

See http://w3c.github.io/webrtc-pc/#rtcsdptype

##### Members

`GstWebRTC.WebRTCSDPType.OFFER` (1) –

offer

`GstWebRTC.WebRTCSDPType.PRANSWER` (2) –

pranswer

`GstWebRTC.WebRTCSDPType.ANSWER` (3) –

answer

`GstWebRTC.WebRTCSDPType.ROLLBACK` (4) –

rollback

### GstWebRTCSignalingState

See http://w3c.github.io/webrtc-pc/#dom-rtcsignalingstate

##### Members

`GST_WEBRTC_SIGNALING_STATE_STABLE` (0) –

stable

`GST_WEBRTC_SIGNALING_STATE_CLOSED` (1) –

closed

`GST_WEBRTC_SIGNALING_STATE_HAVE_LOCAL_OFFER` (2) –

have-local-offer

`GST_WEBRTC_SIGNALING_STATE_HAVE_REMOTE_OFFER` (3) –

have-remote-offer

`GST_WEBRTC_SIGNALING_STATE_HAVE_LOCAL_PRANSWER` (4) –

have-local-pranswer

`GST_WEBRTC_SIGNALING_STATE_HAVE_REMOTE_PRANSWER` (5) –

have-remote-pranswer

### GstWebRTC.WebRTCSignalingState

See http://w3c.github.io/webrtc-pc/#dom-rtcsignalingstate

##### Members

`GstWebRTC.WebRTCSignalingState.STABLE` (0) –

stable

`GstWebRTC.WebRTCSignalingState.CLOSED` (1) –

closed

`GstWebRTC.WebRTCSignalingState.HAVE_LOCAL_OFFER` (2) –

have-local-offer

`GstWebRTC.WebRTCSignalingState.HAVE_REMOTE_OFFER` (3) –

have-remote-offer

`GstWebRTC.WebRTCSignalingState.HAVE_LOCAL_PRANSWER` (4) –

have-local-pranswer

`GstWebRTC.WebRTCSignalingState.HAVE_REMOTE_PRANSWER` (5) –

have-remote-pranswer

### GstWebRTC.WebRTCSignalingState

See http://w3c.github.io/webrtc-pc/#dom-rtcsignalingstate

##### Members

`GstWebRTC.WebRTCSignalingState.STABLE` (0) –

stable

`GstWebRTC.WebRTCSignalingState.CLOSED` (1) –

closed

`GstWebRTC.WebRTCSignalingState.HAVE_LOCAL_OFFER` (2) –

have-local-offer

`GstWebRTC.WebRTCSignalingState.HAVE_REMOTE_OFFER` (3) –

have-remote-offer

`GstWebRTC.WebRTCSignalingState.HAVE_LOCAL_PRANSWER` (4) –

have-local-pranswer

`GstWebRTC.WebRTCSignalingState.HAVE_REMOTE_PRANSWER` (5) –

have-remote-pranswer

### GstWebRTCStatsType

See https://w3c.github.io/webrtc-stats/#dom-rtcstatstype

##### Members

`GST_WEBRTC_STATS_CODEC` (1) –

codec

`GST_WEBRTC_STATS_INBOUND_RTP` (2) –

inbound-rtp

`GST_WEBRTC_STATS_OUTBOUND_RTP` (3) –

outbound-rtp

`GST_WEBRTC_STATS_REMOTE_INBOUND_RTP` (4) –

remote-inbound-rtp

`GST_WEBRTC_STATS_REMOTE_OUTBOUND_RTP` (5) –

remote-outbound-rtp

`GST_WEBRTC_STATS_CSRC` (6) –

csrc

`GST_WEBRTC_STATS_PEER_CONNECTION` (7) –

peer-connection

`GST_WEBRTC_STATS_DATA_CHANNEL` (8) –

data-channel

`GST_WEBRTC_STATS_STREAM` (9) –

stream

`GST_WEBRTC_STATS_TRANSPORT` (10) –

transport

`GST_WEBRTC_STATS_CANDIDATE_PAIR` (11) –

candidate-pair

`GST_WEBRTC_STATS_LOCAL_CANDIDATE` (12) –

local-candidate

`GST_WEBRTC_STATS_REMOTE_CANDIDATE` (13) –

remote-candidate

`GST_WEBRTC_STATS_CERTIFICATE` (14) –

certificate

### GstWebRTC.WebRTCStatsType

See https://w3c.github.io/webrtc-stats/#dom-rtcstatstype

##### Members

`GstWebRTC.WebRTCStatsType.CODEC` (1) –

codec

`GstWebRTC.WebRTCStatsType.INBOUND_RTP` (2) –

inbound-rtp

`GstWebRTC.WebRTCStatsType.OUTBOUND_RTP` (3) –

outbound-rtp

`GstWebRTC.WebRTCStatsType.REMOTE_INBOUND_RTP` (4) –

remote-inbound-rtp

`GstWebRTC.WebRTCStatsType.REMOTE_OUTBOUND_RTP` (5) –

remote-outbound-rtp

`GstWebRTC.WebRTCStatsType.CSRC` (6) –

csrc

`GstWebRTC.WebRTCStatsType.PEER_CONNECTION` (7) –

peer-connection

`GstWebRTC.WebRTCStatsType.DATA_CHANNEL` (8) –

data-channel

`GstWebRTC.WebRTCStatsType.STREAM` (9) –

stream

`GstWebRTC.WebRTCStatsType.TRANSPORT` (10) –

transport

`GstWebRTC.WebRTCStatsType.CANDIDATE_PAIR` (11) –

candidate-pair

`GstWebRTC.WebRTCStatsType.LOCAL_CANDIDATE` (12) –

local-candidate

`GstWebRTC.WebRTCStatsType.REMOTE_CANDIDATE` (13) –

remote-candidate

`GstWebRTC.WebRTCStatsType.CERTIFICATE` (14) –

certificate

### GstWebRTC.WebRTCStatsType

See https://w3c.github.io/webrtc-stats/#dom-rtcstatstype

##### Members

`GstWebRTC.WebRTCStatsType.CODEC` (1) –

codec

`GstWebRTC.WebRTCStatsType.INBOUND_RTP` (2) –

inbound-rtp

`GstWebRTC.WebRTCStatsType.OUTBOUND_RTP` (3) –

outbound-rtp

`GstWebRTC.WebRTCStatsType.REMOTE_INBOUND_RTP` (4) –

remote-inbound-rtp

`GstWebRTC.WebRTCStatsType.REMOTE_OUTBOUND_RTP` (5) –

remote-outbound-rtp

`GstWebRTC.WebRTCStatsType.CSRC` (6) –

csrc

`GstWebRTC.WebRTCStatsType.PEER_CONNECTION` (7) –

peer-connection

`GstWebRTC.WebRTCStatsType.DATA_CHANNEL` (8) –

data-channel

`GstWebRTC.WebRTCStatsType.STREAM` (9) –

stream

`GstWebRTC.WebRTCStatsType.TRANSPORT` (10) –

transport

`GstWebRTC.WebRTCStatsType.CANDIDATE_PAIR` (11) –

candidate-pair

`GstWebRTC.WebRTCStatsType.LOCAL_CANDIDATE` (12) –

local-candidate

`GstWebRTC.WebRTCStatsType.REMOTE_CANDIDATE` (13) –

remote-candidate

`GstWebRTC.WebRTCStatsType.CERTIFICATE` (14) –

certificate

## Constants

### GST_WEBRTC_API

    #define GST_WEBRTC_API GST_API_EXPORT         /* from config.h */

### GST_WEBRTC_ERROR

    #define GST_WEBRTC_ERROR gst_webrtc_error_quark ()

Since : 1.20

The results of the search are